package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.QuestionSimilarityQueryParams;
import com.qmth.qrzk.repository.user.model.SimilarQuestion;

@Component("questionSimilarityMapper")
public interface QuestionSimilarityMapper extends CommonMapper{

	public List<SimilarQuestion> queryQuestionSimilarity(QuestionSimilarityQueryParams params);
	
	public int queryQuestionSimilarityCount(QuestionSimilarityQueryParams params);
	
	public int addQuestionSimilarity(@Param("list")List<SimilarQuestion> list); 
	
	public int delAllQuestionSimilarity();
	
}
